/* --------------------------------------------------------------- */
/* Linker script for the Primer2 board                             */
/* --------------------------------------------------------------- */
/* 2010.12.08 Initial MFC                                          */
/* 2010.12.13 revised use of variables                             */

/* --------------------------------------------------------------- */
/* The following symbols customize this script for a given board   */
/* and are visible to C code upon linking; refer to them using     */
/* the & address operator.  Additional symbols are set by the      */
/* script for the microcontroller (included below) and by the      */
/* generic Tollos link script (tollos.ld).                         */
/*                                                                 */
/*   chipCrystal     -- crystal/oscillator frequency, Hz           */
/*   chipOscillator  -- 1=oscillator, 0=crystal                    */
/*                                                                 */
/* It is assumed there is an external crystal or oscillator        */
/* source, so chipCrystal must be set.  chipOscillator=1 means an  */
/* external oscillator, which allows some chips to save power.     */
/* Here it is set to 0 (even though the Primer2 has an external    */
/* oscillator) as this will work in either case.                   */
/*                                                                 */
/* The frequency is needed because without it the microprocessor's */
/* clock cannot be set correctly.  The speed is in a link script   */
/* so it can be changed by relinking with different scripts rather */
/* than requiring different versions of libraries.                 */
/* --------------------------------------------------------------- */

chipCrystal    = 12000000;
chipOscillator = 0;

/* --------------------------------------------------------------- */
/* Add the microprocessor script (which includes tollos.ld)        */
/* --------------------------------------------------------------- */

INCLUDE stmf103ve.ld

